com.ibm.openpages.api.workflow

## Interface IWFAction

- All Superinterfaces:
    ITBAction

      public interface IWFAction
      extends ITBAction

  Represents the workflow action configured on the process definition

  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFEvalUnit` | `getAssignees()` Returns the assignees to apply to the target activity by the workflow action.
    `java.lang.String` | `getCalculationToRun()` Returns the name of the calculation to run on a given object.
    `IWFEvalUnit` | `getCreateObjectName()` Returns the evaluation to determine the name of an object to be created by the `WFactionType#createObjects` action.
    `java.lang.String` | `getCreateObjectType()` Returns the object type of the object to be created by the `WFactionType#createObjects` action.
    `IWFDateEval` | `getDueDate()` Returns the due-date to set by the workflow action.
    `java.lang.Boolean` | `getLockObjects()` Returns whether the action should lock the target objects (if false, unlock).
    `IWFEvalUnit` | `getOtherActors()` Returns the other actors list when reached an end stage.
    `IWFEvalUnit` | `getProcessCriticality()` Returns the criticality to set by the workflow action.
    `IWFEvalUnit` | `getProcessOwners()` Returns the oversight actors to apply by the workflow action.
    `java.lang.String` | `getProcessStatus()` Returns the process status massage to apply by the workflow action.
    `java.lang.String` | `getProcessStatusLabel()` Returns the localized processStatus label for the user session
    `java.util.List<ILabel>` | `getProcessStatusLabels()` Returns the processStatus labels for all locales
    `java.lang.String` | `getProcessToLaunch()` Returns the workflow definition name to launch on the target object This is applicable only when the type is `WFActionType.launchNewProcess`.
    `IWFEvalUnit` | `getSubscribers()` Returns the activities subscribers to apply by the workflow action.
    `IWFObjectsEval` | `getTargetObjects()` Returns the eval object for fetching target resources on which to perform the workflow action.
    `WFActionType` | `getType()` Returns the type of the workflow action.
    `java.lang.Boolean` | `isExecuteAsSystem()` Returns whether the action should be executed as a system user.
    `void` | `setAssignees(IWFEvalUnit assignees)` Sets the assignees to apply to the target activity by the workflow action.
    `void` | `setCalculationToRun(java.lang.String calculation)` Sets the name of the calculation to run on a given object.
    `void` | `setCreateObjectName(IWFEvalUnit createObjectName)` Assigns the name of the object to be created by the action.
    `void` | `setCreateObjectType(java.lang.String createObjectType)` Assigns the object type of the object to be created by the action.
    `void` | `setDueDate(IWFDateEval dueDate)` Assigns the due-date to set by the workflow action
    `void` | `setExecuteAsSystem(boolean executeAsSystem)` Assigns whether the action should be executed as a system user.
    `void` | `setLockObjects(boolean lockObjects)` Assigns whether the action should lock the target objects (if false, unlock).
    `void` | `setOtherActors(IWFEvalUnit otherActors)` Sets the other actors when reached an end stage.
    `void` | `setProcessCriticality(IWFEvalUnit criticality)` Set the criticality to run by the workflow action.
    `void` | `setProcessOwners(IWFEvalUnit owners)` Sets the oversight actors to apply by the workflow action.
    `void` | `setProcessStatus(java.lang.String processStatus)` Sets the process status massage to apply by the workflow action.
    `void` | `setProcessStatusLabels(java.util.List<ILabel> processStatusLabels)` Sets the list of processStatus labels
    `void` | `setProcessToLaunch(java.lang.String processDefinitionName)` Sets the workflow definition name to launch on the target object This is applicable only when the type is `WFActionType.launchNewProcess`.
    `void` | `setSubscribers(IWFEvalUnit subscribers)` Sets the activities subscribers to apply by the workflow action.
    `void` | `setTargetObjects(IWFObjectsEval targetObjects)` Sets the eval object for fetching target resources on which to perform the workflow action.

    - ### Methods inherited from interface com.ibm.openpages.api.rule.ITBAction

      `getCondition, getCustomAction, getFieldSetters, getName, getValidator, getVariableValue, setCondition, setCustomAction, setFieldSetters, setName, setValidator, setVariableValue`

- - ### Method Detail

    - #### getType

          WFActionType getType()

      Returns the type of the workflow action.
      Returns:
        `WFActionType` the type of the workflow action

    - #### getProcessStatus

          java.lang.String getProcessStatus()

      Returns the process status massage to apply by the workflow action. This is applicable only when the type is `WFActionType.setProcessStatus`.
      Returns:

    - #### setProcessStatus

          void setProcessStatus(java.lang.String processStatus)

      Sets the process status massage to apply by the workflow action. This is applicable only when the type is `WFActionType.setProcessStatus`.
      Parameters:
        `processStatus` -

    - #### getProcessStatusLabel

          java.lang.String getProcessStatusLabel()

      Returns the localized processStatus label for the user session
      Returns:
        the localized processStatus label as a string

    - #### getProcessStatusLabels

          java.util.List<ILabel> getProcessStatusLabels()

      Returns the processStatus labels for all locales
      Returns:
        `ILabel` the processStatus label

    - #### setProcessStatusLabels

          void setProcessStatusLabels(java.util.List<ILabel> processStatusLabels)

      Sets the list of processStatus labels
      Parameters:
        `processStatusLabels` - the list of `ILabel`

    - #### getProcessOwners

          IWFEvalUnit getProcessOwners()

      Returns the oversight actors to apply by the workflow action. This is applicable only when the type is `WFActionType.setProcessOwners`. The owner value is evaluated when this action is taken during a transition.
      Returns:

    - #### setProcessOwners

          void setProcessOwners(IWFEvalUnit owners)

      Sets the oversight actors to apply by the workflow action. This is applicable only when the type is `WFActionType.setProcessOwners`.
      Parameters:
        `owners` -

    - #### getSubscribers

          IWFEvalUnit getSubscribers()

      Returns the activities subscribers to apply by the workflow action. This is applicable only when the type is `WFActionType.setSubscribers`. The subscribers are evaluated when this action is taken during a transition.
      Returns:

    - #### setSubscribers

          void setSubscribers(IWFEvalUnit subscribers)

      Sets the activities subscribers to apply by the workflow action. This is applicable only when the type is `WFActionType.setSubscribers`.
      Parameters:
        `subscribers` -

    - #### getAssignees

          IWFEvalUnit getAssignees()

      Returns the assignees to apply to the target activity by the workflow action. This is applicable only when the type is `WFActionType.setAssignees`. The assignee value is evaluated when this action is take during a transition.
      Returns:

    - #### setAssignees

          void setAssignees(IWFEvalUnit assignees)

      Sets the assignees to apply to the target activity by the workflow action. This is applicable only when the type is `WFActionType.setAssignees`.
      Parameters:
        `assignees` -

    - #### getOtherActors

          IWFEvalUnit getOtherActors()

      Returns the other actors list when reached an end stage. This is applicable only when the type is `WFActionType.setOtherActors`.
      Returns:

    - #### setOtherActors

          void setOtherActors(IWFEvalUnit otherActors)

      Sets the other actors when reached an end stage. This is applicable only when the type is `WFActionType.setOtherActors`.
      Parameters:
        `otherActors` -

    - #### getTargetObjects

          IWFObjectsEval getTargetObjects()

      Returns the eval object for fetching target resources on which to perform the workflow action. This is currently applicable only when the type is `WFActionType.setFields` or `WFActionType.launchNewProcess`.
      Returns:
      Since:
        8.1

    - #### setTargetObjects

          void setTargetObjects(IWFObjectsEval targetObjects)

      Sets the eval object for fetching target resources on which to perform the workflow action. This is currently applicable only when the type is `WFActionType.setFields` or `WFActionType.launchNewProcess`.
      Since:
        8.1

    - #### getProcessToLaunch

          java.lang.String getProcessToLaunch()

      Returns the workflow definition name to launch on the target object This is applicable only when the type is `WFActionType.launchNewProcess`.
      Returns:
      Since:
        8.1

    - #### setProcessToLaunch

          void setProcessToLaunch(java.lang.String processDefinitionName)

      Sets the workflow definition name to launch on the target object This is applicable only when the type is `WFActionType.launchNewProcess`.
      Since:
        8.1

    - #### getProcessCriticality

          IWFEvalUnit getProcessCriticality()

      Returns the criticality to set by the workflow action. The criticality value is evaluated when the action is taken during a transition.
      Returns:

    - #### setProcessCriticality

          void setProcessCriticality(IWFEvalUnit criticality)

      Set the criticality to run by the workflow action.
      Parameters:
        `criticality` -

    - #### getDueDate

          IWFDateEval getDueDate()

      Returns the due-date to set by the workflow action. This is applicable only when the type is `WFActionType.setActivityDueDate` or `WFActionType.setProcessDueDate`. * @return

    - #### setDueDate

          void setDueDate(IWFDateEval dueDate)

      Assigns the due-date to set by the workflow action
      Parameters:
        `dueDate` -

    - #### getCreateObjectName

          IWFEvalUnit getCreateObjectName()

      Returns the evaluation to determine the name of an object to be created by the `WFactionType#createObjects` action.
      Returns:
      Since:
        8.1

    - #### setCreateObjectName

          void setCreateObjectName(IWFEvalUnit createObjectName)

      Assigns the name of the object to be created by the action.
      Parameters:
        `createObjectName` -
      Since:
        8.1

    - #### getCreateObjectType

          java.lang.String getCreateObjectType()

      Returns the object type of the object to be created by the `WFactionType#createObjects` action.
      Returns:
      Since:
        8.1

    - #### setCreateObjectType

          void setCreateObjectType(java.lang.String createObjectType)

      Assigns the object type of the object to be created by the action.
      Parameters:
        `createObjectType` -
      Since:
        8.1

    - #### getLockObjects

          java.lang.Boolean getLockObjects()

      Returns whether the action should lock the target objects (if false, unlock).
      Returns:
      Since:
        8.1

    - #### setLockObjects

          void setLockObjects(boolean lockObjects)

      Assigns whether the action should lock the target objects (if false, unlock).
      Parameters:
        `lockObjects` -
      Since:
        8.1

    - #### getCalculationToRun

          java.lang.String getCalculationToRun()

      Returns the name of the calculation to run on a given object.
      Returns:
      Since:
        8.2.0.3

    - #### setCalculationToRun

          void setCalculationToRun(java.lang.String calculation)

      Sets the name of the calculation to run on a given object.
      Since:
        8.2.0.3

    - #### isExecuteAsSystem

          java.lang.Boolean isExecuteAsSystem()

      Returns whether the action should be executed as a system user.
      Returns:
      Since:
        8.1

    - #### setExecuteAsSystem

          void setExecuteAsSystem(boolean executeAsSystem)

      Assigns whether the action should be executed as a system user.
      Parameters:
        `executeAsSystem` -
      Since:
        8.1

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.